Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

glance image-create not working

I have been following the steps on this guide http://docs.openstack.org/grizzly/openstack-compute/install/apt/content/ch_installing-openstack-image.html and it's fine till I come to adding an image through glance image-create.

As per the guide, in the .conf file I enabled v2 for the API and set the attribute for v1 to False. And I even set the OS_IMAGE_API_VERSION to 2. Now, with this, it returns the error:

glance: error: argument <subcommand>: invalid choice: u'image-create' (choose from 'explain', 'image-delete', 'image-download', 'image-list', 'image-show', 'help')

On the other hand, when I set the OS_IMAGE_API_VERSION to 1, I get the error:

HTTPMultipleChoices (HTTP 300) Requested version of OpenStack Images API is notavailable.

Of course, when the api_version env variable is set to 1, I get the same error for image-list and other commands too.

Any thoughts on what could possibly be wrong with the image-create command in API v2? Is there anyway to flush the API and reinstall/rebuild it?

glance image-create not working

I have been following the steps on this guide http://docs.openstack.org/grizzly/openstack-compute/install/apt/content/ch_installing-openstack-image.html and it's fine till I come to adding an image through glance image-create.

As per the guide, in the .conf file I enabled v2 for the API and set the attribute for v1 to False. And I even set the OS_IMAGE_API_VERSION to 2. Now, with this, it returns the error:

glance: error: argument <subcommand>: invalid choice: u'image-create' (choose from 'explain', 'image-delete', 'image-download', 'image-list', 'image-show', 'help')

On the other hand, when I set the OS_IMAGE_API_VERSION to 1, I get the error:

HTTPMultipleChoices (HTTP 300) Requested version of OpenStack Images API is notavailable.

Of course, when the api_version env variable is set to 1, I get the same error for image-list and other commands too.

Any thoughts on what could possibly be wrong with the image-create command in API v2? Is there anyway to flush the API and reinstall/rebuild it?